Package org.gradle.language.base.compile

# Interface CompilerVersion

@Incubating @NonNullApi public interface CompilerVersion
Version of a compiler.

Since:
  4.4

## Method Summary

Modifier and Type
Method
Description
`String`
`getType()`
Returns the type of the compiler.
`String`
`getVendor()`
Returns the vendor of the compiler.
`String`
`getVersion()`
Returns the version of the compiler.

## Method Details

### getType

@Input String getType()
Returns the type of the compiler.

### getVendor

@Input String getVendor()
Returns the vendor of the compiler.

### getVersion

@Input String getVersion()
Returns the version of the compiler.